[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.AutoSize

Indicates if bands are automatically sized and positioned on the control bar.

## Declaration

Source position: extctrls.pp line 1665

`public property TCustomControlBar.AutoSize : Boolean;`

## Description

When AutoSize is False, the CheckBandsSizeAndVisibility method is called to Resize the bands on the control bar. When set to False, the inherited method is used. In addition, AutoSize determines if InvalidatePreferredSize is called when setting the value for the RowSize property.

## See also

TControl.AutoSize |  | Allows automatic adjustment of the size for the control, according to its content.